#!/bin/sh

#
#Must be executed as root
#

FP=5.0.0.2-TIV-PROV-IF0041
FP_DIR=`pwd`
DVINSTALLCFG=$1/dvinstall.cfg

[ ! -d "$FP_DIR" ] && echo "Patch directory $FP_DIR does not exist" && return 1
[ ! -r "$FP_DIR/$FP-DV.tar.gz" ] && echo "Could not find $FP_DIR/$FP-DV.tar.gz" && return 1

usage()
{
echo "Usage: $0"
	return 0
}

unpack_files()
{
	mkdir dv
	[ ! -d dv ] && echo "Could not make directory $FP_DIR/dv" && return 1
	cd dv
	gunzip -c "$FP_DIR/$FP"-DV.tar.gz |tar xf - && return 0
	echo "Error unpacking ${FP}-DV.tar.gz" && return 1
}

cleanup_files()
{
	rm -rf "$FP_DIR"/dv && return 0
	echo "Could not remove $FP_DIR/DataView" && return 1
}

echo "Unpacking..." && unpack_files || exit 1

echo "Installing..."
cd $FP_DIR/dv
chmod +x install

./install -f $DVINSTALLCFG 2>&1
cd ..

echo "Cleaning up..." && cleanup_files || exit 1

echo "Success."

exit 0
